package com.sundot.airport.exam.common.model.result.sub;

import com.sundot.airport.exam.enums.QuesCompScoreTypeEnum;
import com.sundot.airport.exam.enums.QuesTypeEnum;

import java.util.List;

/**
 * <b>功能名：ExamRecordQuestion</b><br>
 * <b>说明：</b> 用户测试记录题目 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：</b><br>
 *
 * @author 2021-07-06 Mokou
 */
public class ExamRecordQuestion {
    /**
     * 题干内容
     */
    private String eroQuContent;

    /**
     * 题目类型
     */
    private QuesTypeEnum eroQuType;

    /**
     * 题目满分
     */
    private Integer eroTpqTotalScore;

    /**
     * 题目排序
     */
    private Integer eroTpqSort;

    /**
     * 计分方式
     */
    private QuesCompScoreTypeEnum eroTpqCompType;

    /**
     * 得分逻辑 加分数值
     */
    private Integer eroTpqLeftScore;

    /**
     * 扣分逻辑 减分数值
     */
    private Integer eroTpqRightScore;

    /**
     * 题目分类名
     */
    private String eroQcName;

    /**
     * 选项列表
     */
    private List<ExamRecordOption> option;


    public String getEroQuContent() {
        return eroQuContent;
    }

    public void setEroQuContent(String eroQuContent) {
        this.eroQuContent = eroQuContent;
    }

    public QuesTypeEnum getEroQuType() {
        return eroQuType;
    }

    public void setEroQuType(QuesTypeEnum eroQuType) {
        this.eroQuType = eroQuType;
    }

    public Integer getEroTpqTotalScore() {
        return eroTpqTotalScore;
    }

    public void setEroTpqTotalScore(Integer eroTpqTotalScore) {
        this.eroTpqTotalScore = eroTpqTotalScore;
    }

    public Integer getEroTpqSort() {
        return eroTpqSort;
    }

    public void setEroTpqSort(Integer eroTpqSort) {
        this.eroTpqSort = eroTpqSort;
    }

    public QuesCompScoreTypeEnum getEroTpqCompType() {
        return eroTpqCompType;
    }

    public void setEroTpqCompType(QuesCompScoreTypeEnum eroTpqCompType) {
        this.eroTpqCompType = eroTpqCompType;
    }

    public Integer getEroTpqLeftScore() {
        return eroTpqLeftScore;
    }

    public void setEroTpqLeftScore(Integer eroTpqLeftScore) {
        this.eroTpqLeftScore = eroTpqLeftScore;
    }

    public Integer getEroTpqRightScore() {
        return eroTpqRightScore;
    }

    public void setEroTpqRightScore(Integer eroTpqRightScore) {
        this.eroTpqRightScore = eroTpqRightScore;
    }

    public String getEroQcName() {
        return eroQcName;
    }

    public void setEroQcName(String eroQcName) {
        this.eroQcName = eroQcName;
    }

    public List<ExamRecordOption> getOption() {
        return option;
    }

    public void setOption(List<ExamRecordOption> option) {
        this.option = option;
    }

    @Override
    public String toString() {
        return "ExamRecordQuestion{" +
                "eroQuContent='" + eroQuContent + '\'' +
                ", eroQuType=" + eroQuType +
                ", eroTpqTotalScore=" + eroTpqTotalScore +
                ", eroTpqSort=" + eroTpqSort +
                ", eroTpqCompType=" + eroTpqCompType +
                ", eroTpqLeftScore=" + eroTpqLeftScore +
                ", eroTpqRightScore=" + eroTpqRightScore +
                ", eroQcName='" + eroQcName + '\'' +
                ", option=" + option +
                '}';
    }
}
